ProMatrix

...FoxPro applications made easy

Category: Support

In recent months we've had more and more ProMatrix developers with old pre-VPME 9.0 apps telling us that their customers are switching to Windows 7 and the developers' old apps won't run in Windows 7. Apparently, the customers of these ProMatrix developers didn't switch to Vista (which was common), but are now switching to Windows 7 and the compatibility problems are only being found now. So, it is definitely time to resurrect a discussion of this issue and its solutions.

Accordingly, we created a Visual FoxPro - Windows 7 Compatibility discussion page. The purpose of the discussion is to describe the potential problem and to suggest possible solutions for VPM developers who need to update their VPM applications to VFP 9.0.

Important: If you have applications you created in pre-VFP 9.0 versions of Visual FoxPro and pre-VPME 9.0 versions of Visual ProMatrix, you must read this discussion.